Bug 1254377 - upstream : Provider :Clicking on Infrastructure provider shows error
upstream : Provider :Clicking on Infrastructure provider shows error
Status: CLOSED UPSTREAM
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
unspecified Severity high
: GA
: 5.5.0
Assigned To: Dan Clarizio
Dave Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-17 18:11 EDT by Shveta
Modified: 2015-11-11 15:41 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-02 10:58:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
err (48.25 KB, image/png)
2015-08-17 18:11 EDT, Shveta
no flags Details

  None (edit)
Description Shveta 2015-08-17 18:11:27 EDT
Created attachment 1064083 [details]
err

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Build : master.20150817181023_0c3a841 
=============================================
Production Log
=================
[----] I, [2015-08-17T18:08:37.047061 #2852:46b98c]  INFO -- :   Rendered ems_infra/show.html.haml within layouts/application (44.6ms)
[----] F, [2015-08-17T18:08:37.047322 #2852:46b98c] FATAL -- : Error caught: [NoMethodError] undefined method `klass' for []:Array
/var/www/miq/vmdb/app/helpers/textual_summary_helper.rb:42:in `textual_collection_link'
/var/www/miq/vmdb/app/helpers/textual_summary_helper.rb:5:in `textual_link'
/var/www/miq/vmdb/app/helpers/ems_infra_helper/textual_summary.rb:128:in `textual_datastores'
/var/www/miq/vmdb/app/helpers/ems_infra_helper/textual_summary.rb:13:in `block in textual_group_relationships'
/var/www/miq/vmdb/app/helpers/ems_infra_helper/textual_summary.rb:13:in `collect'
/var/www/miq/vmdb/app/helpers/ems_infra_helper/textual_summary.rb:13:in `textual_group_relationships'
/var/www/miq/vmdb/app/views/shared/views/ems_common/_main.html.haml:7:in `_app_views_shared_views_ems_common__main_html_haml___1951460958396209712_89507200'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/template.rb:145:in `block in render'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/activesupport-4.2.3/lib/active_support/notifications.rb:166:in `instrument'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/template.rb:333:in `instrument'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/template.rb:143:in `render'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/renderer/partial_renderer.rb:339:in `render_partial'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/renderer/partial_renderer.rb:310:in `block in render'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/renderer/abstract_renderer.rb:39:in `block in instrument'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/activesupport-4.2.3/lib/active_support/notifications.rb:164:in `block in instrument'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/activesupport-4.2.3/lib/active_support/notifications/instrumenter.rb:20:in `instrument'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/activesupport-4.2.3/lib/active_support/notifications.rb:164:in `instrument'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/renderer/abstract_renderer.rb:39:in `instrument'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/renderer/partial_renderer.rb:309:in `render'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/renderer/renderer.rb:47:in `render_partial'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/renderer/renderer.rb:21:in `render'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/helpers/rendering_helper.rb:32:in `render'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/bundler/gems/jquery-rjs-33e0fc1c0b25/lib/jquery-rjs/rendering.rb:8:in `render_with_update'
/var/www/miq/vmdb/app/views/shared/views/ems_common/_show.html.haml:15:in `_app_views_shared_views_ems_common__show_html_haml___4544569147002601058_89716260'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/template.rb:145:in `block in render'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/activesupport-4.2.3/lib/active_support/notifications.rb:166:in `instrument'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/template.rb:333:in `instrument'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/template.rb:143:in `render'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/renderer/partial_renderer.rb:339:in `render_partial'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/renderer/partial_renderer.rb:310:in `block in render'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/renderer/abstract_renderer.rb:39:in `block in instrument'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/activesupport-4.2.3/lib/active_support/notifications.rb:164:in `block in instrument'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/activesupport-4.2.3/lib/active_support/notifications/instrumenter.rb:20:in `instrument'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/activesupport-4.2.3/lib/active_support/notifications.rb:164:in `instrument'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/renderer/abstract_renderer.rb:39:in `instrument'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/renderer/partial_renderer.rb:309:in `render'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/renderer/renderer.rb:47:in `render_partial'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/renderer/renderer.rb:21:in `render'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/helpers/rendering_helper.rb:32:in `render'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/bundler/gems/jquery-rjs-33e0fc1c0b25/lib/jquery-rjs/rendering.rb:8:in `render_with_update'
/var/www/miq/vmdb/app/views/ems_infra/show.html.haml:1:in `_app_views_ems_infra_show_html_haml__4151849388343138123_107265140'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/template.rb:145:in `block in render'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/activesupport-4.2.3/lib/active_support/notifications.rb:166:in `instrument'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/template.rb:333:in `instrument'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/template.rb:143:in `render'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/renderer/template_renderer.rb:54:in `block (2 levels) in render_template'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/renderer/abstract_renderer.rb:39:in `block in instrument'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/activesupport-4.2.3/lib/active_support/notifications.rb:164:in `block in instrument'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/activesupport-4.2.3/lib/active_support/notifications/instrumenter.rb:20:in `instrument'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/activesupport-4.2.3/lib/active_support/notifications.rb:164:in `instrument'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/renderer/abstract_renderer.rb:39:in `instrument'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/renderer/template_renderer.rb:53:in `block in render_template'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/renderer/template_renderer.rb:61:in `render_with_layout'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/renderer/template_renderer.rb:52:in `render_template'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/renderer/template_renderer.rb:14:in `render'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/renderer/renderer.rb:42:in `render_template'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/renderer/renderer.rb:23:in `render'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/rendering.rb:100:in `_render_template'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_controller/metal/streaming.rb:217:in `_render_template'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/rendering.rb:83:in `render_to_body'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_controller/metal/rendering.rb:32:in `render_to_body'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_controller/metal/renderers.rb:37:in `render_to_body'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/abstract_controller/rendering.rb:25:in `render'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_controller/metal/rendering.rb:16:in `render'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_controller/metal/instrumentation.rb:44:in `block (2 levels) in render'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/activesupport-4.2.3/lib/active_support/core_ext/benchmark.rb:12:in `block in ms'
/opt/rubies/ruby-2.2.2/lib/ruby/2.2.0/benchmark.rb:303:in `realtime'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/activesupport-4.2.3/lib/active_support/core_ext/benchmark.rb:12:in `ms'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_controller/metal/instrumentation.rb:44:in `block in render'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_controller/metal/instrumentation.rb:87:in `cleanup_view_runtime'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/activerecord-4.2.3/lib/active_record/railties/controller_runtime.rb:25:in `cleanup_view_runtime'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_controller/metal/instrumentation.rb:43:in `render'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_controller/metal/implicit_render.rb:10:in `default_render'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_controller/metal/implicit_render.rb:5:in `send_action'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/abstract_controller/base.rb:198:in `process_action'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_controller/metal/rendering.rb:10:in `process_action'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/abstract_controller/callbacks.rb:20:in `block in process_action'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/activesupport-4.2.3/lib/active_support/callbacks.rb:115:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/activesupport-4.2.3/lib/active_support/callbacks.rb:115:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/activesupport-4.2.3/lib/active_support/callbacks.rb:553:in `block (2 levels) in compile'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/activesupport-4.2.3/lib/active_support/callbacks.rb:503:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/activesupport-4.2.3/lib/active_support/callbacks.rb:503:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/activesupport-4.2.3/lib/active_support/callbacks.rb:88:in `run_callbacks'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/abstract_controller/callbacks.rb:19:in `process_action'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_controller/metal/rescue.rb:29:in `process_action'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_controller/metal/instrumentation.rb:32:in `block in process_action'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/activesupport-4.2.3/lib/active_support/notifications.rb:164:in `block in instrument'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/activesupport-4.2.3/lib/active_support/notifications/instrumenter.rb:20:in `instrument'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/activesupport-4.2.3/lib/active_support/notifications.rb:164:in `instrument'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_controller/metal/instrumentation.rb:30:in `process_action'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_controller/metal/params_wrapper.rb:250:in `process_action'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/activerecord-4.2.3/lib/active_record/railties/controller_runtime.rb:18:in `process_action'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/abstract_controller/base.rb:137:in `process'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionview-4.2.3/lib/action_view/rendering.rb:30:in `process'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_controller/metal.rb:196:in `dispatch'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_controller/metal/rack_delegation.rb:13:in `dispatch'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_controller/metal.rb:237:in `block in action'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_dispatch/routing/route_set.rb:76:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_dispatch/routing/route_set.rb:76:in `dispatch'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_dispatch/routing/route_set.rb:45:in `serve'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_dispatch/journey/router.rb:43:in `block in serve'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_dispatch/journey/router.rb:30:in `each'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_dispatch/journey/router.rb:30:in `serve'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_dispatch/routing/route_set.rb:821:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/rack-1.6.4/lib/rack/etag.rb:24:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/rack-1.6.4/lib/rack/conditionalget.rb:25:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/rack-1.6.4/lib/rack/head.rb:13:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_dispatch/middleware/params_parser.rb:27:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_dispatch/middleware/flash.rb:260:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/rack-1.6.4/lib/rack/session/abstract/id.rb:225:in `context'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/rack-1.6.4/lib/rack/session/abstract/id.rb:220:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_dispatch/middleware/cookies.rb:560:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/activerecord-4.2.3/lib/active_record/query_cache.rb:36:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/activerecord-4.2.3/lib/active_record/connection_adapters/abstract/connection_pool.rb:653:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_dispatch/middleware/callbacks.rb:29:in `block in call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/activesupport-4.2.3/lib/active_support/callbacks.rb:84:in `run_callbacks'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_dispatch/middleware/callbacks.rb:27:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_dispatch/middleware/remote_ip.rb:78:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_dispatch/middleware/debug_exceptions.rb:17:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_dispatch/middleware/show_exceptions.rb:30:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/railties-4.2.3/lib/rails/rack/logger.rb:38:in `call_app'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/railties-4.2.3/lib/rails/rack/logger.rb:22:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/request_store-1.2.0/lib/request_store/middleware.rb:8:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_dispatch/middleware/request_id.rb:21:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/rack-1.6.4/lib/rack/methodoverride.rb:22:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/rack-1.6.4/lib/rack/runtime.rb:18:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/activesupport-4.2.3/lib/active_support/cache/strategy/local_cache_middleware.rb:28:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/rack-1.6.4/lib/rack/lock.rb:17:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/actionpack-4.2.3/lib/action_dispatch/middleware/static.rb:116:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/rack-1.6.4/lib/rack/sendfile.rb:113:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/railties-4.2.3/lib/rails/engine.rb:518:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/railties-4.2.3/lib/rails/application.rb:165:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/rack-1.6.4/lib/rack/content_length.rb:15:in `call'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/thin-1.6.3/lib/thin/connection.rb:86:in `block in pre_process'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/thin-1.6.3/lib/thin/connection.rb:84:in `catch'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/thin-1.6.3/lib/thin/connection.rb:84:in `pre_process'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/thin-1.6.3/lib/thin/connection.rb:53:in `process'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/thin-1.6.3/lib/thin/connection.rb:39:in `receive_data'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/eventmachine-1.0.8/lib/eventmachine.rb:193:in `run_machine'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/eventmachine-1.0.8/lib/eventmachine.rb:193:in `run'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/thin-1.6.3/lib/thin/backends/base.rb:73:in `start'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/thin-1.6.3/lib/thin/server.rb:162:in `start'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/rack-1.6.4/lib/rack/handler/thin.rb:19:in `run'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/rack-1.6.4/lib/rack/server.rb:286:in `start'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/railties-4.2.3/lib/rails/commands/server.rb:80:in `start'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/railties-4.2.3/lib/rails/commands/commands_tasks.rb:80:in `block in server'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/railties-4.2.3/lib/rails/commands/commands_tasks.rb:75:in `tap'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/railties-4.2.3/lib/rails/commands/commands_tasks.rb:75:in `server'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/railties-4.2.3/lib/rails/commands/commands_tasks.rb:39:in `run_command!'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/railties-4.2.3/lib/rails/commands.rb:17:in `<top (required)>'
/var/www/miq/vmdb/bin/rails:4:in `require'
/var/www/miq/vmdb/bin/rails:4:in `<main>'
[----] I, [2015-08-17T18:08:37.048410 #2852:46b98c]  INFO -- :   Rendered layouts/_exception_contents.html.haml (0.2ms)
[----] I, [2015-08-17T18:08:37.048553 #2852:46b98c]  INFO -- :   Rendered layouts/exception.html.haml within layouts/application (0.4ms)
[----] I, [2015-08-17T18:08:37.051409 #2852:46b98c]  INFO -- :   Rendered stylesheets/_template50.html.haml (0.1ms)
[----] I, [2015-08-17T18:08:37.052016 #2852:46b98c]  INFO -- :   Rendered layouts/_global_header.html.haml (3.2ms)
[----] I, [2015-08-17T18:08:37.057129 #2852:46b98c]  INFO -- :   Rendered layouts/_user_options.html.haml (4.5ms)
[----] I, [2015-08-17T18:08:37.104834 #2852:46b98c]  INFO -- :   Rendered layouts/_page_header_navbar.html.haml (47.4ms)
[----] I, [2015-08-17T18:08:37.105329 #2852:46b98c]  INFO -- :   Rendered layouts/_spinner.html.haml (0.1ms)
[----] I, [2015-08-17T18:08:37.105551 #2852:46b98c]  INFO -- :   Rendered layouts/_lightbox_panel.html.haml (0.1ms)
[----] I, [2015-08-17T18:08:37.105654 #2852:46b98c]  INFO -- :   Rendered layouts/_page_header.html.haml (53.3ms)
[----] I, [2015-08-17T18:08:37.106099 #2852:46b98c]  INFO -- :   Rendered layouts/_breadcrumbs.html.haml (0.1ms)
[----] I, [2015-08-17T18:08:37.106268 #2852:46b98c]  INFO -- :   Rendered layouts/_page_center.html.haml (0.5ms)
[----] I, [2015-08-17T18:08:37.106597 #2852:46b98c]  INFO -- :   Rendered layouts/_page_footer.html.haml (0.2ms)
[----] I, [2015-08-17T18:08:37.106695 #2852:46b98c]  INFO -- :   Rendered layouts/_page.html.haml (54.5ms)
[----] I, [2015-08-17T18:08:37.107065 #2852:46b98c]  INFO -- :   Rendered layouts/_adv_search.html.haml (0.0ms)
[----] I, [2015-08-17T18:08:37.107207 #2852:46b98c]  INFO -- :   Rendered layouts/_global_footer.html.haml (0.4ms)
[----] I, [2015-08-17T18:08:37.107551 #2852:46b98c]  INFO -- : Completed 500 Internal Server Error in 172ms (Views: 51.3ms | ActiveRecord: 20.3ms)

========
Comment 2 Greg Blomquist 2015-08-20 10:07:02 EDT
Dan, can you check on what's actually failing there.  I can't tell if there's a problem with a call to a model based on just the stack trace.

Note You need to log in before you can comment on or make changes to this bug.